% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/grad.R
\name{grad}
\alias{grad}
\title{Find the gradient of a function}
\usage{
grad(fn, x, step = .Machine$double.eps^(1/3), glapply = base::lapply, ...)
}
\arguments{
\item{fn}{the function being derived}

\item{x}{the parameters at which the gradient is being calulated}

\item{step}{the size of the step used for the delta. Can be a vector where
each element matches to a corresponding x}

\item{glapply}{The lapply function to use when calculating gradients, defaults to
base lapply. You can change this to something else for debugging, or for
parallel computation.}

\item{...}{named variables passed directly to the function}
}
\description{
Get the gradient of a function using a 2-sided delta method.
}
