% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/grad.R
\name{hessian}
\alias{hessian}
\title{Find the hessian of a function}
\usage{
hessian(
  fn,
  x,
  step = .Machine$double.eps^(1/4),
  hlapply = base::lapply,
  glapply = base::lapply,
  ...
)
}
\arguments{
\item{fn}{the function being derived}

\item{x}{the parameters at which the gradient is being calulated}

\item{step}{the size of the step used for the delta. Can be a vector where
each element matches to a corresponding x}

\item{glapply}{The lapply function to use when calculating first
derivitives, defaults to base lapply}

\item{...}{named variables passed directly to the function}
}
\description{
Get the hessian of a function using a 2-sided delta method. The
hessian is the gradient of the gradient, so this function mainly provides a
convienience wrapper around calls to grad.
}
