% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/grad.R
\name{jacobian}
\alias{jacobian}
\title{Find the jacobian of a function}
\usage{
jacobian(fn, x, step = .Machine$double.eps^(1/4), glapply = base::lapply, ...)
}
\arguments{
\item{fn}{the function being derived}

\item{x}{the parameters at which the gradient is being calulated}

\item{step}{the size of the step used for the delta. Can be a vector where
each element matches to a corresponding x}

\item{glapply}{The lapply function to use when calculating gradients,
defaults to base lapply}

\item{...}{named variables passed directly to the function}
}
\description{
Get the jacobian of a function using a 2-sided delta method.
The jacobian is the gradient at every observation, so this function mainly
provides a convienience wrapper around grad to allow non-scalar functions.
}
