% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/margins.R
\name{margins}
\alias{margins}
\title{Margins calculations}
\usage{
margins(mset, lafun = lapply, ...)
}
\arguments{
\item{mset}{the list of lists described above}

\item{lafun}{the lapply function used when going through the mset. One can
supply a parallell version since these calculations are all independent.}

\item{...}{arguments passed directly to the lfun in the mset.}
}
\description{
This is basically a wrapper around delta_parsed to get average marginal
effects from estimation. One must supply an 'mset' which is a list of lists
which contain the elements: "res", the result of an rcestimation with covmat
included, "lfun" the function to be called to calculate whatever effect is
desired, "type" the type of margin, either "full" to return the average of
the result of lfun or "dydx" to return the average marginal effect. If
"dydx" a "dem" is needed, the covariate which will be marginally changed,
and optionally, b0 and b1, to explicitly set what different values the covar
will be changed from and to.

Thus, for discrete variables, b0 and b1 are necessary, and for continuous
variables, they are optional.

An optional "par" element can also be supplied which will select the "par"
column from the result of "lfun".
}
