% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/rcest.R
\name{rcest}
\alias{rcest}
\title{Maximize a function using ftypes}
\usage{
rcest(
  inst,
  lfun,
  init = list(),
  ftypes = list(),
  covars = list(),
  transforms = list(),
  method,
  optopt,
  ...
)
}
\arguments{
\item{inst}{a data.frame or list with relavant data. Must have elements
"ID", and "covars"}

\item{lfun}{the user defined function to maximize}

\item{init}{the initial parameters of each ftype}

\item{ftypes}{the list of function types}

\item{covars}{a list of ftypes with sets of covariates}

\item{transforms}{a numeric vector of transforms for the base parameters,
again, rcguts style}

\item{method}{the method used for the optimizer}

\item{optopt}{options for use with the optimizer}

\item{...}{named variables passed directly to the likelihood function}
}
\description{
This function takes a data.frame (inst) a objective function
(lfun), and a method, and returns the value of the method's function,
typically the parameters that maximize the function. Most usefully employed
to subsequently estimate a covariance matrix.
}
