% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/optimizers.R
\name{set_optimizer}
\alias{set_optimizer}
\title{Set optimizer method}
\usage{
set_optimizer(method, type = "ml", fn = NULL)
}
\arguments{
\item{method}{the name of the method}

\item{type}{the type of optimizer this is, "ml" or "bayes"}

\item{fn}{the function that will be called to do the optimizer. See details.}
}
\description{
Set optimizer method
}
\details{
The "fn" needs to have the following signature:
fn <- function(pars, lfun, wrap_opts, method, optopt, ...)

where the dots (...) are optional. The function can be anonymous.

The parameters are the initial parameters for the function (can go unused),
lfun is the user-supplied objective function, ftypes is a sanitized ftype
list, ft_index is the ftype list that shows the index of the parameters in
the par vector, options are options for the optimizer, and ...  gives
additional parameters passed through to the likelihood function. The
"options" list should have items for "iterations" governing a stopping
condition for iterations, and "report" to determine if or how much verbosity
the optimizers should display while solving.
}
