library(testthat)
library(rcest)

###### Parser setting is checked in previous test #####
## Clear the initial environments
set_rcenv()

set_parser(ftype = "test_fun1",
           fname = c("fun11", "FUN11"),
           transforms = c("exp"),
           def_pars = c(1),
           par_names = c("p1"),
           description = "This is a test function with 1 parameter")

set_parser(ftype = "test_fun1",
           fname = c("fun12", "FUN12"),
           transforms = c("exp", "none"),
           def_pars = c(1, 0),
           par_names = c("p1", "p2"),
           description = "This is a test function with 2 parameters")

set_parser(ftype = "test_fun2",
           fname = c("fun21", "FUN21"),
           transforms = c("exp", "none"),
           def_pars = c(1, 2),
           par_names = c("p1", "par2"),
           description = "This is a second test function with 1 parameter - exp")

set_parser(ftype = "test_fun2",
           fname = c("fun22", "FUN22"),
           transforms = c("none"),
           def_pars = c(0),
           par_names = c("tp1"),
           description = "This is a second test function with 1 parameter - none")


##### Check All Sanitizers other the ftype_sanitize #####

# Transform sanitize
tsan <- trans_sanitize()
