library(testthat)
library(rcest)

# Roots at -2 and 5
tfun <- function(x) -((x[1] + 2)^2 + 3 * (5 - x[2])^2)
# This is such a simple function, that runiform inputs should always return a pass to this test
mod <- nr(runif(2), tfun)

test_that("NR - finds the correct roots of a simple function", {
    expect_equal(mod$par, c(-2, 5))
})
test_that("NR - A parabolic function needs only one iteration", {
    expect_equal(mod$iter, 1)
})
test_that("NR - The gradient is close to 0 at the optimum", {
    expect_equal(mod$grad, c(0, 0))
})
